Assignment APIAssignment
Get assignment by uuid
Security groups:Assigners
Returns the assignment with the given UUID in the specified taxonomy.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
taxonomy*string
The classification system to use.
TARIC: The Integrated Tariff of the European Union, used for EU customs classification.TARES: The Swiss customs tariff, used for goods imported into Switzerland.UKGT: The UK Global Tariff, used for goods imported into the United Kingdom.
Value in
"TARIC" | "TARES" | "UKGT"assignmentUuid*string
The unique identifier for assignment.
Format
uuidQuery Parameters
embed?array<>
Specifies the resource, which should be embed in response.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/assignments/TARIC/b9f94491-bf1b-4689-ab67-bdce63501651"{
"data": {
"application": "VAT-RULES",
"taxonomy": "TARIC",
"modifiedBy": {
"email": "xyz@example.com",
"userId": "96525c64-580a-493d-a24f-c92883ed9af8",
"isEclearUser": false
},
"productId": "productAbc",
"shopIds": [
101,
102
],
"productUrl": "https://dev.eclear-solutions.com/ec-productrepo-be/products/global/productAbc",
"productClassCode": "56789010",
"assignmentStatus": "APPROVED",
"assignmentVersion": 2,
"validFrom": "2024-08-25T00:00:00Z",
"assignmentStrategy": "UUID",
"actionReason": "approved assignment",
"autoAssignmentStatus": "DONE",
"createdDate": "2024-08-23T00:00:00Z",
"lastModifiedDate": "2024-08-25T00:00:00Z",
"fixedWidthProductClass": "5678901000",
"eclearCode": "5678901000-00-000",
"isEndNode": true,
"assignmentUuid": "96525c64-580a-493d-a24f-c92883ed9af8",
"assignmentUrl": "/assignment-url",
"events": [
{
"eventDateTime": "2024-08-24T00:00:00Z",
"assignmentVersion": 1,
"assignmentStatus": "ASSIGNED",
"assignmentAction": "ASSIGN",
"actionReason": "some reason",
"modifiedBy": {
"email": "xyz@example.com",
"userId": "96525c64-580a-493d-a24f-c92883ed9af8",
"isEclearUser": false
}
},
{
"eventDateTime": "2024-08-23T00:00:00Z",
"assignmentVersion": 0,
"assignmentStatus": "UNASSIGNED",
"assignmentAction": "UNASSIGN",
"actionReason": "some reason",
"modifiedBy": {
"email": "abc@example.com",
"userId": "b9f94491-bf1b-4689-ab67-bdce63501651",
"isEclearUser": false
}
}
]
}
}{
"code": "BadRequest",
"message": "Bad request.",
"status": "BAD_REQUEST"
}{
"code": "Unauthorized",
"message": "Not authorized.",
"status": "UNAUTHORIZED"
}{
"code": "NotFound",
"message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
"status": "NOT_FOUND"
}